﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.WebEdition;
using ThinkGeo.MapSuite.Core;

namespace WebApplication1
{
	public partial class _Default : System.Web.UI.Page
	{
		protected void Page_Load(object sender, EventArgs e)
		{
			GoogleOverlay google = new GoogleOverlay("google");
			Map1.MapUnit = GeographyUnit.Meter;
			Map1.CustomOverlays.Add(google);

			ContextMenu menu = new ContextMenu();
			ContextMenuItem item = new ContextMenuItem("Click me!");
			item.OnClientClick = "ShowInfoWindow";
			menu.MenuItems.Add(item);

			InMemoryMarkerOverlay markers = new InMemoryMarkerOverlay("markers");
			markers.ZoomLevelSet.ZoomLevel01.DefaultMarkerStyle.WebImage = new WebImage("Images/circle.png", 16, 16, -6, -6);
			markers.ZoomLevelSet.ZoomLevel01.DefaultMarkerStyle.ContextMenu = menu;
			markers.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
			Map1.CustomOverlays.Add(markers);

			// Define map projection for the markers
			ManagedProj4Projection pro = new ManagedProj4Projection();
			pro.InternalProjectionParametersString = ManagedProj4Projection.GetDecimalDegreesParametersString();
			pro.ExternalProjectionParametersString = ManagedProj4Projection.GetSphericalMercatorParametersString();

			// Define extent
			pro.Open();
			Map1.CurrentExtent = pro.ConvertToExternalProjection(new RectangleShape(5.994873, 54.826008, 14.937744, 47.428087));
			pro.Close();
			
			markers.FeatureSource.Projection = pro;

			// Add marker
			Feature feature1 = new Feature(new PointShape(13.399658, 52.509535));
			feature1.Id = "Marker1"; // I want to know this Id in the javascript function
			markers.Features.Add(feature1);

			Feature feature2 = new Feature(new PointShape(9.949951, 53.566414));
			feature2.Id = "Marker2"; // I want to know this Id in the javascript function
			markers.Features.Add(feature2);

		}
	}
}